> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cadanapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create

> Create a new payout



## OpenAPI

````yaml /openapi/embedded-payments.yaml post /v1/payouts
openapi: 3.0.0
info:
  description: APIs for interacting with Cadana Global Payments
  version: 1.0.0
  title: Embedded Payments
  termsOfService: https://cadanapay.com/terms-and-conditions
  contact:
    email: api@cadanapay.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.cadanapay.com
    description: Prod Server
  - url: https://dev-api.cadanapay.com
    description: Dev Server
security:
  - Authorization: []
tags:
  - name: Beneficiaries
    description: APIs for managing beneficiaries
  - name: Payouts
    description: APIs for managing payouts
  - name: Balances
    description: APIs for managing account balances
  - name: FX
    description: APIs for managing foreign exchange rates
  - name: Resources
    description: Resource APIs to access and manage foundational data
  - name: Virtual Accounts
    description: APIs for managing virtual accounts
paths:
  /v1/payouts:
    post:
      tags:
        - Payouts
      summary: Create
      description: Create a new payout
      parameters:
        - $ref: '#/components/parameters/XMultiTenantKey'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePayoutRequest'
            examples:
              payoutRequest:
                summary: Example payout request
                value:
                  beneficiaryId: c871b333-e129-409c-aabd-7cfb55a967cc
                  quoteId: d35d2bd6-188b-4e82-9a16-71442dad7375
                  amount:
                    amount: 500000
                    currency: PHP
                  reference: payout-123
      responses:
        '200':
          $ref: '#/components/responses/CreatePayoutRespone'
        '400':
          $ref: '#/components/responses/BadRequestError'
        5XX:
          $ref: '#/components/responses/InternalError'
components:
  parameters:
    XMultiTenantKey:
      name: X-MultiTenantKey
      in: header
      required: false
      schema:
        type: string
      description: >-
        Required when using a Platform API token. The tenant key identifying
        which business to operate on.
  schemas:
    CreatePayoutRequest:
      type: object
      required:
        - beneficiaryId
        - quoteId
        - amount
        - currency
      properties:
        beneficiaryId:
          type: string
          format: uuid
          example: c871b333-e129-409c-aabd-7cfb55a967cc
        quoteId:
          type: string
          format: uuid
          description: The unique identifier for the fx quote
          example: d35d2bd6-188b-4e82-9a16-71442dad7375
        amount:
          $ref: '#/components/schemas/Amount'
        reference:
          type: string
          description: The client reference for the payout
          example: '1234567890'
    Amount:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          type: integer
          description: Value in lowest denomination of the currency (e.g., cents)
          example: 100000
        currency:
          type: string
          description: ISO 4217 currency code
          example: COP
    BadRequestError:
      description: Bad input provided by client
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          properties:
            params:
              description: A map for meta data around the error that occurred
              type: object
      example:
        code: invalid_request_body
        message: The request body provided is not valid
        params:
          field: Value is invalid.
    InternalError:
      description: Internal server error
      allOf:
        - $ref: '#/components/schemas/Error'
      example:
        code: internal_error
        message: An unexpected error occurred. Please try again later.
    Error:
      type: object
      properties:
        code:
          description: A machine parsable error code
          type: string
          enum:
            - invalid_request_body
            - resource_not_found
            - forbidden
            - internal_error
        message:
          description: A human readable message describing the error
          type: string
  responses:
    CreatePayoutRespone:
      description: Payout Created Response
      content:
        application/json:
          schema:
            type: object
            properties:
              id:
                type: string
                format: uuid
                example: d0137ede-7df1-4a54-8206-b3ab7b03876f
          examples:
            payout:
              summary: Example payout creation response
              value:
                id: d0137ede-7df1-4a54-8206-b3ab7b03876f
    BadRequestError:
      description: Bad input provided by client
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
    InternalError:
      description: Internal error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalError'
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: API_SECRET_KEY

````